package houses;

import java.util.ArrayList;

public class House {

    private String name;
    private ArrayList<Room> rooms;

      
    public House(String name, Room firstRoom) {
        this.name = name;
        rooms = new ArrayList<>();
        addRoom(firstRoom);
    }

    public House(String name, String roomName, Location roomLocation) {
        this(name, new Room(roomName, roomLocation));
    }
    
    public House(String name, String roomName, double roomX, double roomY,double roomWidth, double roomLength){
        this(name, roomName, new Location(roomX,roomY,roomWidth,roomLength));
    }

    public House(){
        this("unnamed house", "unnamed room", 0,0,0,0);
    }
    public final void addRoom(Room room) {
        rooms.add(room);
    }

    public void setName(String name) {
    }

    public String getName() {
        return name;
    }

    public double getArea() {
        double sum = 0;
        for (Room room: rooms){
            sum += room.getArea();
        }
        return sum;
    }
}